# frozen_string_literal: true

require 'bank_of_baku/version'
require 'bank_of_baku/configuration'
require 'bank_of_baku/error'
require 'bank_of_baku/requests'
require 'bank_of_baku/client'

module BankOfBaku
  extend Configuration

  # @return [BankOfBaku::Client]
  def self.client
    BankOfBaku::Client.new
  end

  def self.method_missing(method, *args, &block)
    return super unless client.respond_to?(method)

    client.send(method, *args, &block)
  end

  def self.respond_to_missing?(method_name, include_private = false)
    client.respond_to?(method_name) || super
  end
end
